# GitOps Logs

Use these operations to interact with [GitOps logs](/configure/gitops/gitops-logs.md) in Cortex.

### Required permissions

Your API key must have the `View GitOps logs` permission.

## Operations

## Retrieve GitOps logs

> API key must have the \`View GitOps logs\` permission.

```json
{"openapi":"3.0.1","info":{"title":"Cortex API","version":"v1"},"tags":[{"name":"GitOps Logs"}],"servers":[{"url":"https://api.getcortexapp.com","description":"Cortex Cloud API host"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"bearerFormat":"JWT","description":"All requests to the Cortex API need to provide an `Authorization: Bearer <token>` header, where `<token>` is an API key created in the Settings page of your workspace.","scheme":"bearer","type":"http"}},"schemas":{"GitOpsLogPaginatedResponse":{"required":["logs","page","total","totalPages"],"type":"object","properties":{"logs":{"type":"array","items":{"$ref":"#/components/schemas/GitOpsLogResponse"}},"page":{"type":"integer","description":"Current page number, 0-indexed","format":"int32"},"total":{"type":"integer","description":"Total number of results","format":"int32"},"totalPages":{"type":"integer","description":"Total number of pages","format":"int32"}}},"GitOpsLogResponse":{"required":["commit","dateCreated","files","repository"],"type":"object","properties":{"commit":{"type":"string"},"dateCreated":{"type":"string","format":"date-time"},"files":{"type":"array","items":{"$ref":"#/components/schemas/GitOpsLogFileResponse"}},"repository":{"$ref":"#/components/schemas/GitOpsLogRepositoryResponse"}}},"GitOpsLogFileResponse":{"required":["fileName","isPackageFile"],"type":"object","properties":{"entity":{"$ref":"#/components/schemas/GitOpsLogEntityChange"},"error":{"$ref":"#/components/schemas/GitOpsLogFileErrorResponse"},"fileName":{"type":"string"},"isPackageFile":{"type":"boolean"},"scorecard":{"$ref":"#/components/schemas/GitOpsLogScorecardChange"},"workflow":{"$ref":"#/components/schemas/GitOpsLogWorkflowChange"}}},"GitOpsLogEntityChange":{"required":["name","operation","tag","type"],"type":"object","properties":{"name":{"type":"string"},"operation":{"type":"string","enum":["CREATED","UPDATED","ARCHIVED","NO_CHANGE"]},"tag":{"type":"string"},"type":{"type":"string"}}},"GitOpsLogFileErrorResponse":{"required":["errorType","message"],"type":"object","properties":{"errorType":{"type":"string"},"message":{"type":"string"}}},"GitOpsLogScorecardChange":{"required":["name","operation","tag"],"type":"object","properties":{"name":{"type":"string"},"operation":{"type":"string","enum":["CREATED","UPDATED","ARCHIVED","NO_CHANGE"]},"tag":{"type":"string"}}},"GitOpsLogWorkflowChange":{"required":["name","operation","tag"],"type":"object","properties":{"name":{"type":"string"},"operation":{"type":"string","enum":["CREATED","UPDATED","ARCHIVED","NO_CHANGE"]},"tag":{"type":"string"}}},"GitOpsLogRepositoryResponse":{"required":["provider","repositoryName"],"type":"object","properties":{"provider":{"type":"string","description":"Git provider (GitHub, GitLab, etc.)","enum":["AZURE_DEVOPS","BITBUCKET","GITHUB","GITLAB"]},"repositoryName":{"type":"string","description":"Repository name as defined in your Git provider"}}},"TooManyRequestsProblemDetail":{"required":["type","title","status"],"type":"object","properties":{"detail":{"type":"string"},"instance":{"type":"string","format":"uri-reference"},"retryAfter":{"minimum":0,"type":"integer","description":"The number of seconds until the rate limiting resets.","format":"int32"},"status":{"maximum":599,"minimum":100,"type":"integer","format":"int32","enum":[429]},"title":{"type":"string"},"type":{"type":"string","format":"uri-reference"}}}},"responses":{"TooManyRequests":{"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/TooManyRequestsProblemDetail"}}},"description":"The client has exceeded the rate limit by performing too many requests in a short period. Retry the request after a delay.","headers":{"Retry-After":{"description":"The number of seconds until the rate limiting resets.","schema":{"minimum":0,"type":"integer","format":"int32"}}}}}},"paths":{"/api/v1/gitops-logs":{"get":{"description":"API key must have the `View GitOps logs` permission.","operationId":"listGitOpsLogs","parameters":[{"description":"File name the within repository","in":"query","name":"file","schema":{"type":"string"}},{"description":"Repository name as defined in your Git provider","in":"query","name":"repository","required":false,"schema":{"type":"string"}},{"description":"Commit SHA","in":"query","name":"sha","required":false,"schema":{"type":"string"}},{"description":"Filter by error only","in":"query","name":"errorOnly","required":false,"schema":{"type":"boolean"}},{"description":"Filter by operation","in":"query","name":"operation","required":false,"schema":{"type":"string","enum":["CREATED","UPDATED","ARCHIVED","NO_CHANGE"]}},{"description":"Page number to return, 0-indexed. Default 0.","in":"query","name":"page","required":true,"schema":{"type":"integer","format":"int32","default":0}},{"description":"Number of results to return per page, between 1 and 1000. Default 250.","in":"query","name":"pageSize","required":true,"schema":{"type":"integer","format":"int32","default":250}},{"in":"query","name":"fileName","required":false,"schema":{"type":"string"}},{"description":"Unique tag for the Scorecard.","in":"query","name":"scorecardTag","required":true,"schema":{"type":"string"}},{"in":"query","name":"workflowTag","required":false,"schema":{"type":"string"}},{"description":"The entity tag (`x-cortex-tag`) that identifies the entity.","in":"query","name":"tag","required":true,"schema":{"type":"string","description":"The entity tag (`x-cortex-tag`) that identifies the entity."}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GitOpsLogPaginatedResponse"}}},"description":"Retrieve GitOps logs based on given criteria"},"429":{"$ref":"#/components/responses/TooManyRequests"}},"summary":"Retrieve GitOps logs","tags":["GitOps Logs"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cortex.io/api/readme/gitops-logs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
